GET /katello/api/organizations/114267492/sync_plans 204
| Param name | Description |
|---|---|
|
organization_id
required |
Organization ID Validations:
|
|
name
optional |
filter by name Validations:
|
|
sync_date
optional |
filter by sync date Validations:
|
|
interval
optional |
filter by interval Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
| Field name | Type | Possible values |
|---|---|---|
| enabled | true, false | |
| interval | string | |
| name | string | |
| organization_id | integer |
GET /katello/api/sync_plans/712395790
200
{
"id": 712395790,
"organization_id": 114267492,
"name": "Sync Plan Hourly",
"description": "An hourly sync plan",
"interval": "hourly",
"next_sync": "2026-11-12 11:46:00 UTC",
"sync_date": "2014-01-09 17:46:00 +0000",
"created_at": "2014-01-09 17:46:00 UTC",
"updated_at": "2026-11-12 11:08:57 UTC",
"enabled": true,
"foreman_tasks_recurring_logic_id": 10,
"cron_expression": null,
"products": [],
"permissions": {
"view_sync_plans": true,
"edit_sync_plans": true,
"destroy_sync_plans": true
}
}
| Param name | Description |
|---|---|
|
organization_id
optional |
Organization ID Validations:
|
|
id
required |
sync plan numeric identifier Validations:
|
POST /katello/api/organizations/114267492/sync_plans
{
"sync_plan": {
"name": "Hourly Sync Plan",
"sync_date": "2014-01-09 17:46:00",
"interval": "hourly"
}
}
204
| Param name | Description |
|---|---|
|
organization_id
required |
Organization ID Validations:
|
|
name
required |
sync plan name Validations:
|
|
interval
required |
how often synchronization should run Validations:
|
|
sync_date
required |
start datetime of synchronization Validations:
|
|
description
optional |
sync plan description Validations:
|
|
enabled
required |
enables or disables synchronization Validations:
|
|
cron_expression
optional |
Add custom cron logic for sync plan Validations:
|
PUT /katello/api/organizations/114267492/sync_plans/712395790
{
"sync_plan": {
"interval": "weekly"
}
}
200
{
"id": 712395790,
"organization_id": 114267492,
"name": "Sync Plan Hourly",
"description": "An hourly sync plan",
"interval": "weekly",
"next_sync": "2026-11-12 17:46:00 UTC",
"sync_date": "2014-01-09 17:46:00 +0000",
"created_at": "2014-01-09 17:46:00 UTC",
"updated_at": "2026-11-12 11:08:57 UTC",
"enabled": true,
"foreman_tasks_recurring_logic_id": 8,
"cron_expression": null,
"products": [],
"permissions": {
"view_sync_plans": true,
"edit_sync_plans": true,
"destroy_sync_plans": true
}
}
| Param name | Description |
|---|---|
|
organization_id
optional |
Organization ID Validations:
|
|
id
required |
sync plan numeric identifier Validations:
|
|
name
optional |
sync plan name Validations:
|
|
interval
optional |
how often synchronization should run Validations:
|
|
sync_date
optional |
start datetime of synchronization Validations:
|
|
description
optional |
sync plan description Validations:
|
|
enabled
optional |
enables or disables synchronization Validations:
|
|
cron_expression
optional |
Add custom cron logic for sync plan Validations:
|
DELETE /katello/api/organizations/114267492/sync_plans/712395790
{
"sync_plan": {}
}
204
| Param name | Description |
|---|---|
|
organization_id
optional |
Organization ID Validations:
|
|
id
optional |
sync plan numeric identifier Validations:
|
PUT /katello/api/organizations/114267492/sync_plans/712395790/add_products
{
"product_ids": [
"785257261",
"1073012828"
],
"sync_plan": {}
}
200
{
"id": 712395790,
"organization_id": 114267492,
"name": "Sync Plan Hourly",
"description": "An hourly sync plan",
"interval": "hourly",
"next_sync": "2026-11-12 11:46:00 UTC",
"sync_date": "2014-01-09 17:46:00 +0000",
"created_at": "2014-01-09 17:46:00 UTC",
"updated_at": "2026-11-12 11:09:01 UTC",
"enabled": true,
"foreman_tasks_recurring_logic_id": 41,
"cron_expression": null,
"products": [
{
"id": 785257261,
"cp_id": "123123123001",
"name": "Fedora",
"label": "fedora_label",
"description": "An open source Linux distribution.",
"sync_state": null,
"last_sync": null,
"last_sync_words": null,
"repository_count": 25
},
{
"id": 1073012828,
"cp_id": "redhat",
"name": "Red Hat Linux",
"label": "redhat_label",
"description": "A more Enterprisy fedora",
"sync_state": null,
"last_sync": null,
"last_sync_words": null,
"repository_count": 9
}
],
"permissions": {
"view_sync_plans": true,
"edit_sync_plans": true,
"destroy_sync_plans": true
}
}
| Param name | Description |
|---|---|
|
organization_id
required |
Organization ID Validations:
|
|
id
required |
ID of the sync plan Validations:
|
|
product_ids
required |
List of product ids to add to the sync plan Validations:
|
PUT /katello/api/organizations/114267492/sync_plans/712395790/remove_products
{
"product_ids": [
785257261,
1073012828,
905280015
],
"sync_plan": {}
}
204
| Param name | Description |
|---|---|
|
organization_id
required |
Organization ID Validations:
|
|
id
required |
ID of the sync plan Validations:
|
|
product_ids
required |
List of product ids to remove from the sync plan Validations:
|
PUT /katello/api/organizations/114267492/sync_plans/712395790/sync
{
"sync_plan": {}
}
202
{
"id": null,
"label": null,
"pending": null,
"username": null,
"started_at": null,
"ended_at": null,
"state": null,
"result": null,
"progress": null,
"input": null,
"output": {},
"humanized": null,
"cli_example": null,
"duration": null,
"available_actions": {
"cancellable": null,
"resumable": null
}
}
| Param name | Description |
|---|---|
|
id
required |
ID of the sync plan Validations:
|